#include "mbed.h"
#include "SRF05.h"
#include "Servo.h"
#include "NokiaLCD.h"
Servo Servo1(p21);  //vertical motor
PwmOut myservo(p22);  //horizontal motor
SRF05 srf(p13, p14);  // Sonar sensor
Serial pc(USBTX,USBRX);
LocalFileSystem local("local"); // File created in mbed chip
NokiaLCD lcd(p5, p7, p8, p9, NokiaLCD::LCD6610); // DIO, sclk, cs, rst, type
DigitalIn s1(p15); // connection to switch
             
int main() { 
               int pos;
               lcd.background(0x0000FF);  //LCD background set to BLUE
               lcd.cls(); // Clear LCD
                  
     
   
              Servo1.Enable(1000,20000); // Position of the Servo to start=1000us
                                         // Time between every pulse=20000us
                                                         
              FILE *fp = fopen("/local/out.txt", "w");  // Open "out.txt" on the local file system for writing
  


  
    pos=600;  // Left most position of horizontal motor
    while(1)
    {
         if((s1==!s1)&&(pos<2200)) // motor swings only when switch is changed
         {
   
            lcd.cls();                    //clear LCD for every new sweep
            Servo1.SetPosition(pos);      // Change the position of Servo
         
            for(float p=0.025; p<0.125; p += 0.0025)        // horizontal motor swing from left to right
            {
                  myservo = p;
                  fprintf(fp," %.2f %f %d |", srf.read(),p-0.025,pos-600);  // Data stored for future use.
                  int a=(p-0.025)*1000; // x and y co-ordinates calculated, based on sensed object, for a 130x130 LCD
                  int b=srf.read();
                  lcd.fill(a,b,5,5,0x00FF00);  // sensed object indicated on LCD
                  pc.printf("%f",srf.read());
                  wait_ms(50); // Sensing delay of Sonar
            }
            for(float p=0.125; p>0.025; p--) // horizontal motor swing from right to left
            {
                  myservo = p;   
                  wait_ms(40); 
            }
            pos=pos+100;  // vertical motor inreased by one step
          
          }
      }
      
                
     fclose(fp);  // Close "out.txt"
     
 
 
 }
 
   
 




